/Users/bernard/b20/bsoft/include/binomial.h(3)

NAME
/Users/bernard/b20/bsoft/include/binomial.h - Functions to generate and fit binomials.

SYNOPSIS

  Functions
double Bnpk (int n, double p, int k, double w)
Calculates the probability of k occurrences in n cases.
double binomial_fit (vector< double > &distrib, int n, int nfit, vector< double > &coeff)
Fits a distribution to one or more binomial distributions.

Detailed Description

Functions to generate and fit binomials.

Author:
    Daniel Nemecek and Bernard Heymann

Date:
    Created: 20091202

    Modified: 20190201

Definition in file binomial.h.

Function Documentation

  double binomial_fit (vector< double > & distrib, int n, int nfit, vector< double > & coeff)

Fits a distribution to one or more binomial distributions.

Author:
    Daniel Nemecek and Bernard Heymann

Parameters:
    &distrib distribution.
    n number of cases (number of values in distribution).
    nfit number of binomial curves to fit.
    &coeff fitted coefficients (weights and probabilities).

Returns:
    double residual.

    The binomial curve(s) is(are) fit using the downhill simplex method.

Definition at line 89 of file binomial.cpp.

  double Bnpk (int n, double p, int k, double w)

Calculates the probability of k occurrences in n cases.

Author:
    Daniel Nemecek and Bernard Heymann

Parameters:
    n number of cases.
    p probability of one occurrence [0-1].
    k occurrences (<=n).
    w weight [0-1].

Returns:
    double weighted probability.

Definition at line 28 of file binomial.cpp.

Author

Generated automatically by Doxygen for Bsoft from the source code.